Question from YvesSebastian

Asked: 4 years ago

What version do you need for Tekken 6 on psp?

I have 3.90, my psp is a PSP Slim. I don't know what version I need. Please respond A.S.A.P.

This question is open with pending answers, but none have been accepted yet

Submitted Answers

STATUS

You need 5.50 GEN-D2 to play this game if it is in untouched version but for the FIX version you need 5.00 M33-6

Rated: +0 / -0

The version needed is 5.03.

Rated: +0 / -0

Mine is 5.50 GEN-D3 and tekken 6 works on my psp.

Rated: +0 / -0

Respond to this Question

You must be logged in to answer questions. Please use the login form at the top of this page.